import React, {memo} from 'react';
import IconButton from './IconButton';

type Props = {
  style?: any;
  onPress: () => void;
};

function MoreButton(props: Props) {
  return (
    <IconButton
      style={props.style}
      onPress={props.onPress}
      icon={require('../assets/images/more.png')}
    />
  );
}

export default memo(MoreButton);
