class MsgBundle {
  private static keys: String[] = [];
  private static values: any[] = [];

  public static set(key: string, value: any) {
    let n = this.keys.indexOf(key);
    if (n === -1) {
      this.keys.push(key);
      this.values.push(value);
    } else {
      this.values[n] = value;
    }
  }

  public static get(key: string): any {
    let n = this.keys.indexOf(key);
    if (n === -1) {
      return null;
    } else {
      return this.values[n];
    }
  }

  public static remove(key: string) {
    let n = this.keys.indexOf(key);
    if (n !== -1) {
      this.keys.splice(n, 1);
      this.values.slice(n, 1);
    }
  }
}

export default MsgBundle;
