import CastlabsYoubora
import PRESTOplay

class MediaLoadRequestItem {

    // MARK: Lifecycle

    init(
        playerConfiguration: PlayerConfiguration,
        youboraMetadata: YouboraMetadata?,
        ignoreSilentSwitch: String?
    ) {
        self.playerConfiguration = playerConfiguration
        self.youboraMetadata = youboraMetadata
        self.ignoreSilentSwitch = ignoreSilentSwitch
    }

    // MARK: Public

    public let playerConfiguration: PlayerConfiguration
    public let youboraMetadata: YouboraMetadata?
    public let ignoreSilentSwitch: String?
}
