var DescriptorType;
(function (DescriptorType) {
    /**
     * The value of the Role tag in the manifest.
     * @see {@link DashDescriptor}
     */
    DescriptorType["DASH_ROLE"] = "DASH_ROLE";
    /**
     * The value of the Accessibility tag in the manifest.
     * @see {@link DashDescriptor}
     */
    DescriptorType["DASH_ACCESSIBILITY"] = "DASH_ACCESSIBILITY";
    /**
     * This is a comma-separated list of track characteristics, including content characteristics.
     * @see {@link HlsDescriptor}
     */
    DescriptorType["HLS_CHARACTERISTICS"] = "HLS_CHARACTERISTICS";
})(DescriptorType || (DescriptorType = {}));
export default DescriptorType;
