/**
 * The behaviour of the player when a secondary display is connected.
 */
var SecondaryDisplayBehaviour;
(function (SecondaryDisplayBehaviour) {
    /**
     * Never allow the content to be displayed on a secondary display.
     */
    SecondaryDisplayBehaviour["Never"] = "never";
    /**
     * Allow the content to be displayed on a secondary display.
     * Please keep in mind, a DRM license can prevent playback on secondary,
     * insecure, or remote screens.
     */
    SecondaryDisplayBehaviour["AllowAlways"] = "allowAlways";
})(SecondaryDisplayBehaviour || (SecondaryDisplayBehaviour = {}));
export default SecondaryDisplayBehaviour;
