import TimeControlStatus from './TimeControlStatus';
/**
 * Function to be triggered on thumbnail loaded.
 * See the [AVPlayer.timeControlStatus](https://developer.apple.com/documentation/avfoundation/avplayer/1643485-timecontrolstatus).
 * @param event the event details
 */
type TimeControlStatusCallback = (event: TimeControlStatus) => void;
export default TimeControlStatusCallback;
