import { PlayerConfiguration, Source } from '../index';
import SourceFilter from './SourceFilter';
export default class SourceUtils {
    static CHROMECAST_FILTERS: SourceFilter[];
    static ANDROID_FILTERS: SourceFilter[];
    static IOS_FILTERS: SourceFilter[];
    static normalizeSource(source: Source): Source;
    static getSources(playerConfiguration: PlayerConfiguration): Source[];
    static findMatchedSource(sources: Source[], filters: SourceFilter[]): Source;
}
