export default interface AttemptParameters {
  /** The connection timeout in milliseconds. */
  connectionTimeout?: number;
  /** The read timeout in milliseconds. */
  readTimeout?: number;
  /**  The maximum number of times the request should be attempted. */
  maxAttempts?: number;
  /** The delay before the first retry, in milliseconds. */
  baseDelay?: number;
}
