import AttemptParameters from './AttemptParameters';
import DrmErrorCode from './DrmErrorCode';

export default interface DrmAttemptParameters extends AttemptParameters {
  /** The acquisition timeout in milliseconds */
  acquisitionTimeout?: number;
  /** Sets error codes triggering retries */
  retryCodes?: DrmErrorCode[];
}
