import {ContentType} from '../index';

/** A single playback source. */
export default interface Source {
  /** The source URL to your Manifest. */
  url: string;
  /** The source type. */
  type?: ContentType;
  /** Set to true for DRM protected content. */
  drmProtected?: boolean;
}
