module.exports = {
  root: true,
  parser: '@typescript-eslint/parser',
  extends: [
    '@react-native-community',

    // TODO Enable these rules
    // 'eslint:recommended',
    // 'plugin:@typescript-eslint/recommended',
  ],
  parserOptions: {
    ecmaVersion: 2017, // Allows for the parsing of modern ECMAScript features
    sourceType: 'module', // Allows for the use of imports
  },
  rules: {
    'react-native/no-inline-styles': 0,
    '@typescript-eslint/semi': ['error'],
    semi: 0,
  },
};
