package com.rnsdk.clvideo.download;

import com.castlabs.sdk.downloader.Download;
import java.util.HashMap;

/**
 * The instance manager for {@link Download}.
 */
public class DownloadInstanceManager {

  private static HashMap<String, Download> downloads = new HashMap<>();
  private static int counter = 0;

  public static void setInstance(String instanceId, Download download) {
    downloads.put(instanceId, download);
  }

  public static Download getInstance(String instanceId) {
    return downloads.get(instanceId);
  }

  public static void remove(String instanceId) {
    downloads.remove(instanceId);
  }

  public static int getCount() {
    return downloads.size();
  }
}
