# Example

Run the example application and test various use cases quickly.

## Build and Run

1. [Set up the development environment](../docs/EnvironmentSetup.md)
1. Go to root directory of the project
1. Install root dependencies

    ```
    npm install
    ```

1. Go to example directory of the project

    ```
    cd example
    ```

1. Install example dependencies

    ```
    npm install
    ```

1. Install iOS dependencies

    ```
    npm run ios:install
    ```

1. Open the `example.xcworkspace` (`./ios/example.xcworkspace`) in Xcode and adjust properties in _Project / Signing & Capabilities / Signing_ tab to your needs. Especially _Signing_ section
1. Connect your device (doesn't work in simulator)
1. Execute:
    - `npm run android` (Android) 
    - `npm run ios` (iOS)
