import {createNavigationContainerRef} from '@react-navigation/native';

export const navigationRef = createNavigationContainerRef();

export default class NavigationService {
  static navigate(routeName: string) {
    if (navigationRef.isReady()) {
      // @ts-ignore
      navigationRef.navigate(routeName);
    }
  }

  static goBack() {
    if (navigationRef.isReady()) {
      navigationRef.goBack();
    }
  }
}
