import SubMenu from './SubMenu';
export default interface Action {
    id: string;
    title: string;
    /** The name of the image resource in the Xcode app project or the URL of a local or remote image file. */
    imageName?: string;
    subMenu?: SubMenu;
    /** Contextual action is displayed at this time. */
    startSecond?: number;
    /** Contextual action is removed at this time. */
    endSecond?: number;
}
