/**
 * The license key is used to authenticate the SDK
 * and is associated with your application ID.
 * Please contact support for more information on how to obtain licence key.
 */
export default interface LicenseKey {
    /** The license key for the iOS platform. */
    iOS: string;
    /** The license key for the tvOS platform. */
    tvOS: string;
    /** The license key for the Android platform. */
    android: string;
}
