import PlayerConfiguration from './PlayerConfiguration';
import Media from './Media';
/**
 * @ignore
 */
export default class MediaLoadRequest {
    readonly usePlaylist: boolean;
    readonly startAt: number;
    readonly items: PlayerConfiguration[];
    private constructor();
    private filterUnsupportedSources;
    toJSON(): string;
    static fromMedia(media: Media): MediaLoadRequest;
}
