import AttemptParameters from './AttemptParameters';
import DrmAttemptParameters from './DrmAttemptParameters';
export default interface NetworkConfiguration {
    /**
     * Manifest request timeouts and retry options.
     * @remarks Not supported on iOS/tvOS.
     */
    manifestAttemptParameters?: AttemptParameters;
    /**
     * Segment request timeouts and retry options.
     * @remarks Not supported on iOS/tvOS.
     */
    segmentAttemptParameters?: AttemptParameters;
    /**
     * DRM request timeouts and retry options.
     * @remarks Not supported on iOS/tvOS.
     */
    drmAttemptParameters?: DrmAttemptParameters;
}
