export default interface WillSeek {
    /** The current playback position. */
    oldSeconds: number;
    /** The new playback position. */
    targetSeconds: number;
    /**
     * True if the `targetSeconds` is greater than the seekable range.
     * For live streams, this may indicate an attempt to seek to the current live position.
     */
    beyondSeekableRange: boolean;
}
