import DrmTodayEnvironment from './DrmTodayEnvironment';

export default interface DrmTodayConfiguration {
  /**  The DRMtoday environment. */
  environment: DrmTodayEnvironment;
  /** The end user ID. */
  userId?: string;
  /** The session ID. */
  sessionId?: string;
  /** The merchant. */
  merchant?: string;
  /** The asset ID. */
  assetId?: string;
  /** The variant ID. */
  variantId?: string;
  /** The authentication token when you are using upfront authentication. */
  authToken?: string;
  /** The offline ID. */
  offlineId?: string;
}
