export default interface ErrorData {
  /**
   * The severity of the error, which can be one of the following values: 0 (warning), 1 (recoverable), and 2 (fatal).
   */
  severity: number;
  type: number;
  message: string;
  httpCode: number;
  url: string;
  responseBody: string;
}
